<?php

namespace Lc\SovBundle\Container\Newsletter;

use Lc\SovBundle\Factory\Newsletter\NewsletterFactory;
use Lc\SovBundle\Repository\Newsletter\NewsletterRepositoryQuery;
use Lc\SovBundle\Repository\Newsletter\NewsletterStore;

class NewsletterContainer
{
    protected NewsletterFactory $factory;
    protected NewsletterRepositoryQuery $repositoryQuery;
    protected NewsletterStore $store;

    public function __construct(
            NewsletterFactory $factory,
            NewsletterRepositoryQuery $repositoryQuery,
            NewsletterStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): NewsletterFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): NewsletterRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): NewsletterStore
    {
        return $this->store;
    }
}
